import request from '@/utils/request'

// 获取售后列表
export function getAfterSaleList(params) {
  return request({
    url: 'api/AfterSale/getaftersalebypagesh',
    method: 'POST',
    params
  })
}

// 添加售后列表
export function addAfterSaleList(data) {
  return request({
    url: 'api/AfterSale/addaftersalesh',
    method: 'POST',
    data
  })
}

// 编辑售后列表
export function editAfterSaleList(params) {
  return request({
    url: 'api/AfterSale/editaftersalesh',
    method: 'POST',
    params
  })
}

// 删除售后列表
export function deleteAfterSaleList(params) {
  return request({
    url: 'api/AfterSale/deleteaftersalesh',
    method: 'POST',
    params
  })
}

// 售后列表详情
export function afterSaleListDetail(params) {
  return request({
    url: 'api/AfterSale/getshdetail',
    method: 'POST',
    params
  })
}

// 获取售后订单商品列表
export function getAfterSaleOrderCommodityList(params) {
  return request({
    url: 'api/AfterSale/getorderdetail',
    method: 'POST',
    params
  })
}

// 售后订单列表
export function getAfterSaleOrderList(params) {
  return request({
    url: 'api/AfterSale/getorderlistbyshpage',
    method: 'POST',
    params
  })
}

// 编辑售后订单列表
export function getAfterSaleEditOrderList(data) {
  return request({
    headers: {
      'Content-Type': 'application/json'
    },
    transformRequest: [function(data) {
      data = JSON.stringify(data)
      return data
    }],
    url: 'api/AfterSale/editorder',
    method: 'POST',
    data
  })
}

//仓库售后列表
export function getAfterSaleListCustodian(params) {
  return request({
    url: 'api/AfterSale/getaftersalebypagekg',
    method: 'POST',
    params
  })
}

//仓库售后列表操作
export function getAfterSaleListCustodianReview(params) {
  return request({
    url: 'api/AfterSale/updatestatekg',
    method: 'POST',
    params
  })
}
